Bug 10576 - Untranslatable strings in additem.js
Summary: Untranslatable strings in additem.js
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Bugs List
QA Contact:
URL:
Keywords:
Depends on: 10514
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 14:44 UTC by Owen Leonard
Modified: 2014-12-07 20:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10576 - Untranslatable strings in additem.js (3.24 KB, patch)
2013-07-19 14:13 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 10576 - Untranslatable strings in additem.js (3.26 KB, patch)
2013-07-20 03:50 UTC, Chris Cormack
Details | Diff | Splinter Review
[PASSED QA] Bug 10576 - Untranslatable strings in additem.js (3.42 KB, patch)
2013-07-21 09:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-07-11 14:44:11 UTC
There are some English strings embedded in additem.js which cannot be translated. Others are wrapped in the "_()" function but this doesn't help--JS files are not processed by the translation script.
Comment 1 Owen Leonard 2013-07-19 14:13:25 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2013-07-20 03:50:43 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2013-07-21 09:10:15 UTC
Created attachment 19829 [details] [review]
[PASSED QA] Bug 10576 - Untranslatable strings in additem.js

There are a couple of untranslatable strings in additem.js. This patch
moves the strings out of the script and into the include file which has
been created for this purpose.

To test, apply the patch and test the process for adding an item to an
existing or new basket (with AcqCreateItem set to "when placing an
order."

The add item form should be correctly labeled "Add item." After adding
an item, click to edit it again. The form should now be labeled "Update
item."

Signed-off-by: Chris Cormack <chris@bigballofwax.co.nz>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Works nicely and passes all tests.
Made sure strings can be translated testing with German templates.
Comment 4 Galen Charlton 2013-07-22 15:44:12 UTC
Pushed to master.  Thanks, Owen!
Comment 5 Tomás Cohen Arazi 2013-08-16 13:24:08 UTC
This patch has been pushed to 3.12.x, will be in 3.12.4.

Thanks Owen!
Comment 6 Bernardo Gonzalez Kriegel 2013-09-13 22:51:05 UTC
Pushed to 3.10.x, will be in 3.10.11